<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductionCharacteristic extends Model
{
    use SoftDeletes;

    protected $casts = [
        'result' => 'array',
    ];

    protected $fillable = [
        'plant_id',
        'line_id',
        'item_id',
        'machine_id',
        'production_order',
        'serial_number',
        'observed_value',
        'characteristic_name',
        'status',
        'inspection_status',
        'inspection_lot_number',
        'remark',
        'result',
        'created_at',
        'updated_at',
        'created_by',
        'updated_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }

    public function machine(): BelongsTo
    {
        return $this->belongsTo(Machine::class);
    }
}
